Section Box by Level with new view and NWC export

dynamo
revit

#1

I can get the script to section the model correctly using the section by elements. but i cant get it to Duplicate the 3d view without showing the stuff above the sectionbox

1.) Before Section

2.) After Section; {3D} View

3.) After Section; In Newly Created View

4.) Section box is in right spot it just doesnt section.

HERE IS GRAPH:

HERE IS DYN AND REVIT FAMILY:
Section Box from origin.dyn (51.1 KB)
Section Box Family.rfa (328 KB)


Modify outside of transaction ERROR
#2

Duplicating the view with the correct section box is the most important thing. i have another script that can export all the views.


#3

Does manually modifying the section box (ie: lower the top extents) after the fact fix the issue?


#4

@JacobSmall yes or moving it in anyway. I tried to move the section box in dynamo, but was unsuccessfu. i need it to move and then move back to the original location.


#5

In that case, try adding a chunk of script similar to the other post to move the section box - 1/32" on the Z axis and see if that resolves this issue as well.


#6

@JacobSmall Could you post the python script here so i dont have to retype it?


#7

Haven’t used preformatted text yet, but here goes nothing:

import clr
from System.Collections.Generic import *
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
import Autodesk

clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)
clr.ImportExtensions(Revit.GeometryConversion)

clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument
items = {UnwrapElement(IN[0])}
xyz = UnwrapElement(IN[1]).ToXyz()

ids = list()
for item in items:
	ids.append(item.Id)	
itemlist = List[ElementId](ids)

TransactionManager.Instance.EnsureInTransaction(doc)

moveditems = ElementTransformUtils.MoveElements(doc,itemlist,xyz)

TransactionManager.Instance.TransactionTaskDone()

OUT = items

#8

how do i get an element from the duplicated view


#9

@JacobSmall im getting an error


#10

I was able to find a solution by creating my view before sectioning instead of after. thank you


#11

Great news and glad to help!

Can you do me a solid and upload a screenshot of the completed script so others can refer to it if they have the same problem?


#12